Package Gnumed :: Package pycommon :: Module gmConfigCommon :: Class ConfigDefinition |
[frames] | no frames]

# Class ConfigDefinition

source code

    holds config definitions read from a file/DB.
    this will contain:
            a) config parameter names
            b) config parameter description (optional)
            c) config parameter type
            d) config parameter valid values (if type is select_from_list)
            e) config information version (must match the version used in ConfigData)

Instance Methods
__init__(self, aDefinitionSource=None) | source code
hasParameter(self, aParameterName=None) | source code
isValid(self, aParameterName=None, aValue=None) | source code
getParamType(self, aParameterName=None) | source code
getParamDescription(self, aParameterName=None) | source code